diff --git a/applications/nrf5340_audio/prj.conf b/applications/nrf5340_audio/prj.conf
index 481ac61f3..6eb7a9bd8 100644
--- a/applications/nrf5340_audio/prj.conf
+++ b/applications/nrf5340_audio/prj.conf
@@ -60,3 +60,5 @@ CONFIG_DEVICE_SHELL=n
 CONFIG_SD_LOG_LEVEL_OFF=y
 
 CONFIG_SENSOR=y
+CONFIG_TRANSPORT_BIS=y
+CONFIG_AUDIO_SOURCE_I2S=y
\ No newline at end of file
diff --git a/applications/nrf5340_audio/src/audio/streamctrl.c b/applications/nrf5340_audio/src/audio/streamctrl.c
index 5f6f83b89..e18099a8c 100644
--- a/applications/nrf5340_audio/src/audio/streamctrl.c
+++ b/applications/nrf5340_audio/src/audio/streamctrl.c
@@ -375,8 +375,8 @@ static void le_audio_evt_handler(enum le_audio_evt_type event)
 
 		audio_system_start();
 		stream_state_set(STATE_STREAMING);
-		ret = led_blink(LED_APP_1_BLUE);
-		ERR_CHK(ret);
+		//ret = led_blink(LED_APP_1_BLUE);
+		//ERR_CHK(ret);
 
 		break;
 
diff --git a/applications/nrf5340_audio/src/bluetooth/ble_core.c b/applications/nrf5340_audio/src/bluetooth/ble_core.c
index 6537f8d98..1b25abd51 100644
--- a/applications/nrf5340_audio/src/bluetooth/ble_core.c
+++ b/applications/nrf5340_audio/src/bluetooth/ble_core.c
@@ -125,11 +125,11 @@ static void on_bt_ready(int err)
 		DT_PATH(nrf_gpio_forwarder, nrf21540_gpio_if), gpios, 4);
 
 	struct ble_hci_vs_cp_nrf21540_pins nrf21540_pins = {
-		.mode = mode_pin,
-		.txen = tx_pin,
-		.rxen = rx_pin,
-		.antsel = ant_pin,
-		.pdn = pdn_pin,
+		.mode = 45,
+		.txen = 30,
+		.rxen = 44,
+		.antsel = 31,
+		.pdn = 42,
 		/* Set CS pin to ffff since we are not using the SPI */
 		.csn = 0xffff
 	};
@@ -155,20 +155,6 @@ static int controller_leds_mapping(void)
 {
 	int ret;
 
-	ret = ble_hci_vsc_led_pin_map(PAL_LED_ID_CPU_ACTIVE,
-				      DT_GPIO_FLAGS_BY_IDX(DT_NODELABEL(rgb2_green), gpios, 0),
-				      DT_GPIO_PIN_BY_IDX(DT_NODELABEL(rgb2_green), gpios, 0));
-	if (ret) {
-		return ret;
-	}
-
-	ret = ble_hci_vsc_led_pin_map(PAL_LED_ID_ERROR,
-				      DT_GPIO_FLAGS_BY_IDX(DT_NODELABEL(rgb2_red), gpios, 0),
-				      DT_GPIO_PIN_BY_IDX(DT_NODELABEL(rgb2_red), gpios, 0));
-	if (ret) {
-		return ret;
-	}
-
 	return 0;
 }
 
diff --git a/applications/nrf5340_audio/src/main.c b/applications/nrf5340_audio/src/main.c
index 85d2701c2..57abca68d 100644
--- a/applications/nrf5340_audio/src/main.c
+++ b/applications/nrf5340_audio/src/main.c
@@ -166,8 +166,8 @@ void main(void)
 	ret = hfclock_config_and_start();
 	ERR_CHK(ret);
 
-	ret = led_init();
-	ERR_CHK(ret);
+	//ret = led_init();
+	//ERR_CHK(ret);
 
 	ret = button_handler_init();
 	ERR_CHK(ret);
@@ -207,8 +207,8 @@ void main(void)
 		(void)k_sleep(K_MSEC(100));
 	}
 
-	ret = leds_set();
-	ERR_CHK(ret);
+	//ret = leds_set();
+	//ERR_CHK(ret);
 
 	audio_system_init();
 
diff --git a/applications/nrf5340_audio/tools/buildprog/nrf5340_audio_dk_devices.json b/applications/nrf5340_audio/tools/buildprog/nrf5340_audio_dk_devices.json
index 0a42fe365..5d1737377 100644
--- a/applications/nrf5340_audio/tools/buildprog/nrf5340_audio_dk_devices.json
+++ b/applications/nrf5340_audio/tools/buildprog/nrf5340_audio_dk_devices.json
@@ -5,7 +5,7 @@
         "channel": "left"
  },
  {
-        "nrf5340_audio_dk_snr": 1000,
+        "nrf5340_audio_dk_snr": 1050179200,
         "nrf5340_audio_dk_dev": "gateway",
         "channel": "NA"
  },
diff --git a/boards/arm/nrf5340_audio_dk_nrf5340/nrf5340_audio_dk_nrf5340_cpuapp_common.dts b/boards/arm/nrf5340_audio_dk_nrf5340/nrf5340_audio_dk_nrf5340_cpuapp_common.dts
index 991b0ae34..cf6e962f2 100644
--- a/boards/arm/nrf5340_audio_dk_nrf5340/nrf5340_audio_dk_nrf5340_cpuapp_common.dts
+++ b/boards/arm/nrf5340_audio_dk_nrf5340/nrf5340_audio_dk_nrf5340_cpuapp_common.dts
@@ -20,12 +20,6 @@
 	gpio_fwd: nrf-gpio-forwarder {
 		compatible = "nordic,nrf-gpio-forwarder";
 		status = "okay";
-		uart {
-			gpios = <&gpio1 9 0>, <&gpio1 8 0>, <&gpio1 11 0>, <&gpio1 10 0>;
-		};
-		leds {
-			gpios = <&gpio0 28 0>, <&gpio0 29 0>, <&gpio0 30 0>;
-		};
 	};
 
 	arduino_header: connector {
diff --git a/boards/shields/nrf21540_ek/nrf21540_ek_fwd.overlay b/boards/shields/nrf21540_ek/nrf21540_ek_fwd.overlay
index 5645b3949..3b8e42236 100644
--- a/boards/shields/nrf21540_ek/nrf21540_ek_fwd.overlay
+++ b/boards/shields/nrf21540_ek/nrf21540_ek_fwd.overlay
@@ -15,11 +15,11 @@
  */
 &gpio_fwd {
 	nrf21540-gpio-if {
-		gpios = <&arduino_header 11 0>,		/* tx-en-gpios */
-			<&arduino_header 9 0>,		/* rx-en-gpios */
-			<&arduino_header 15 0>,		/* pdn-gpios */
-			<&arduino_header 10 0>,		/* ant-sel-gpios */
-			<&arduino_header 8 0>;		/* mode-gpios */
+            gpios = <&gpio0 30 0>,  /* tx-en-gpios   TP26 */
+                <&gpio1 12 0>,      /* rx-en-gpios   TP20 */
+                <&gpio1 10 0>,      /* pdn-gpios     TP19 */
+                <&gpio0 31 0>,      /* ant-sel-gpios TP27 */
+                <&gpio1 13 0>;      /* mode-gpios    TP21 */
 	};
 	nrf21540-spi-if {
 		gpios = <&arduino_header 16 0>,		/* cs-gpios */